Summary: The basic tools for setting up networking.
Name: net-tools
Version: 1.60
Release: 8m
License: GPL
Group: System Environment/Base
URL: http://www.tazenda.demon.co.uk/phil/net-tools/
Source0: http://www.tazenda.demon.co.uk/phil/net-tools/%{name}-%{version}.tar.bz2
Source1: net-tools-%{version}-config.h
Source2: net-tools-%{version}-config.make
Source3: ether-wake.c
Source4: netstat
Patch4: net-tools-1.57-bug22040.patch
Patch5: net-tools-1.60-miiioctl.patch
Patch6: net-tools-1.60-manydevs.patch
Patch7: net-tools-1.60-virtualname.patch
Patch8: net-tools-nls-Makefile.patch
Patch9: net-tools-ja.nls.patch.bz2
Patch10: net-tools-makefile.patch
Patch11: net-tools-netstat-print-ip-version.patch.bz2
Patch12: net-tools-1.60-multiline-string.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# XXX dunno minimum required kernel version
#BuildRequires: kernel-headers >= 2.1.100
NoSource: 0

%description
The net-tools package contains the basic tools needed for setting up
networking:  ethers, route and others.

%prep
%setup -q
%patch4 -p1 -b .bug22040~
%patch5 -p1 -b .miiioctl~
%patch6 -p1 -b .manydevs~
%patch7 -p1 -b .virtualname~
%patch8 -p1 -b .nls~
%patch9 -p1 -b .ja.po~
%patch10 -p1 -b .make~
%patch11 -p1 -b .netstat~

cp %SOURCE1 ./config.h
cp %SOURCE2 ./config.make
cp %SOURCE3 .

%patch12 -p1 -b .multiline~

%build
make
gcc %{optflags} -o ether-wake ether-wake.c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{bin,sbin}
mkdir -p %{buildroot}%{_mandir}/man{1,5,8}
 
make BASEDIR=%{buildroot} mandir=%{_mandir} install

install -m 755 ether-wake %{buildroot}/sbin

rm %{buildroot}/sbin/rarp
rm %{buildroot}%{_mandir}/man8/rarp.8*

mkdir -p %{buildroot}/etc/xinetd.d
install -m 644 %{SOURCE4} %{buildroot}/etc/xinetd.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/bin/*
/sbin/*
%{_mandir}/man[158]/*

%lang(cs)	/usr/share/locale/cs/LC_MESSAGES/net-tools.mo
%lang(de)	%{_mandir}/de_DE/man[158]/*
%lang(de)	/usr/share/locale/de/LC_MESSAGES/net-tools.mo
%lang(et)	/usr/share/locale/et_EE/LC_MESSAGES/net-tools.mo
%lang(fr)	%{_mandir}/fr_FR/man[158]/*
%lang(fr)	/usr/share/locale/fr/LC_MESSAGES/net-tools.mo
%lang(pt_BR)	%{_mandir}/pt_BR/man[18]/*
%lang(pt_BR)	/usr/share/locale/pt_BR/LC_MESSAGES/net-tools.mo
%lang(ja)       /usr/share/locale/ja/LC_MESSAGES/net-tools.mo

%config(missingok,noreplace) /etc/xinetd.d/netstat

%ChangeLog
* Sat Jul 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.60-8m)
- add net-tools-1.60-multiline-string.patch

* Sun Nov 17 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.60-7m)
- import some patches from rawhide

* Fri May 17 2002 Yasuhiro Takabayashi
- (1.60-6k)
- change user =  guest => nobody (jitterbug #1028)

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (1.60-4k)
- rebuild against gettext 0.10.40.

* Wed May  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.57-16k)
- modified netstat xinetd.d file for not warning

* Fri May  4 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.57-14k)
- remove tcpd against xinetd with libwrap.

* Tue Mar  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.57-12k)
- rebuild against disable IPv6 environment

* Sun Jan 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.57-11k)
- added netstat for xientd

* Wed Dec 13 2000 AYUHANA Tomonori <l@kondara.org>
- (1.57-8k)
- backport 1.57-9k for 2.0

* Sun Dec  3 2000 AYUHANA Tomonori <l@kondara.org>
- (1.57-9k)
- add net-tools-netstat-print-ip-version.patch.bz2

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.57-7k)
- errased net-tools-1.56-fhs2.patch and modified spec file with macro for compatibility

* Tue Jul 25 2000 AYUHANA Tomonori <l@kondara.org>
- (1.57-3k)
- add net-tools-setlocale.patch (devel.ja:03007)
- add net-tools-makefile.patch (for RPM_OPT_FLAGS)

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Mon Jun 03 2000 Motonobu Ichimura <famao@kondara.org>
- up to 1.57

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 14 2000 Jeff Johnson <jbj@redhat.com>
- fix "netstat -ci" (#6904).
- document more netstat options (#7429).

* Thu Jan 13 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.54.
- enable "everything but DECnet" including IPv6.

* Sun Aug 29 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.53.

* Wed Jul 28 1999 Jeff Johnson <jbj@redhat.com>
- plug "netstat -c" fd leak (#3620).

* Thu Jun 17 1999 Jeff Johnson <jbj@redhat.com>
- plug potential buffer overruns.

* Sat Jun 12 1999 John Hardin <jhardin@wolfenet.com>
- patch to recognize ESP and GRE protocols for VPN masquerade

* Fri Apr 23 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.52.

* Thu Mar 25 1999 Jeff Johnson <jbj@redhat.com>
- update interface statistics continuously (#1323)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.51.
- strip binaries.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.50.
- added slattach/plipconfig/ipmaddr/iptunnel commands.
- enabled translated man pages.

* Tue Dec 15 1998 Jakub Jelinek <jj@ultra.linux.cz>
- update to 1.49.

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.48.

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.47.

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.46

* Thu Jul  9 1998 Jeff Johnson <jbj@redhat.com>
- build root
- include ethers.5

* Thu Jun 11 1998 Aron Griffis <agriffis@coat.com>
- upgraded to 1.45
- patched hostname.c to initialize buffer
- patched ax25.c to use kernel headers

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Feb 27 1998 Jason Spangler <jasons@usemail.com>
- added config patch

* Fri Feb 27 1998 Jason Spangler <jasons@usemail.com>
- changed to net-tools 1.432
- removed old glibc 2.1 patch
 
* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added extra patches for glibc 2.1

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- included complete set of network protocols (some were removed for
  initial glibc work)

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- updated glibc patch for glibc 2.0.5

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- updated to 1.33
